IPAD IOS 5.01 will not mount - Unhandled lockdown error (-4)

Running OS 12.1 64bit with 8GB RAM - output from uname -a “3.1.10-1.9-default #1 SMP Thu Apr 5 18:48:38 UTC 2012 (4a97ec8) x86_64 x86_64 x86_64 GNU/Linux.”

Trying to use nautilus to manage my IPAD v1 running IOS 5.01. When I click on my IPAD in nautilus I get this error “Unhandled lockdown error (-4)”. I followed this post: libimobiledevice - Teaching Penguins to talk to fruits and updated ifuse, libimobile*, usb*, etc…

I’ve successfully unpaired and paired my device, I can issue ideviceinfo and see my ipad information, I can issue ideviceinstaller -l and see applications installed on my ipad.

Can NOT use nautilus or banshee to manage my ipad.

When I insert the ipad into the usb port I see in the log the ipad information with serial number but also error message
"kernel: 5199.591381] iphone-set-info[7257]: segfault at 0 ip 00007fce8ae14440 sp 00007fffa668e4c8 error 4 in libc-2.14.1.so[7fce8ad26000+187000]"
but I have no idea how to fix it.

On this same desktop I have a virtual machine running on vmware workstation 8.02 running Ubuntu 11.04 64bit. Ubuntu has no problem working with my IPAD via nautilus or banshee.

My son just bought an ipod touch 8g that happens to be iOS 5.1.1 I have a similar problem. lsusb shows no apple device connected. below is what dsmesg showed.


[388314.295506] usb 6-1.3: new full speed USB device using uhci_hcd and address 5
[388314.402472] usb 6-1.3: not running at top speed; connect to a high speed hub
[388314.469455] usb 6-1.3: New USB device found, idVendor=05ac, idProduct=129e
[388314.469460] usb 6-1.3: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[388314.469463] usb 6-1.3: Product: iPod
[388314.469466] usb 6-1.3: Manufacturer: Apple Inc.
[388314.469468] usb 6-1.3: SerialNumber: a25d31...
[388315.047369] hdj_probe() unsupported device, idVendor5ac, idProduct:129e 
[388315.047735] usbcore: registered new interface driver hdj_mod

I just installed the multimedia one-click install. Didn’t help.

I am running 11.4 openSuSE x64 with LXDE

Any help with this issue?

Also having the same issue.
Just for fun I installed ubuntu 12.04 LTS and even without any updates it works out of the box…

Update:

When you mount the ipad using ifuse it works…
Open a r****oot terminal.
mkdir /mnt/ipad
ifuse /mnt/ipad
nautilus /mnt/ipad
done…

I’m on OSS 12.1 Gnome using libimobiledevice 1.1.4 http://www.libimobiledevice.org/downloads/idevice-support.ymp